---
updatedAt: 2026-06-08T19:22:36.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/administration/llms.txt
---

# Delete the Secret Manager Configuration

Deletes the connection between the vault and JFrog Platform.


**Security:** Requires admin privileges.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - System & Configuration API",
    "description": "System configuration, status, password policy, certificates, vault, and backup APIs for the JFrog Platform.\n\n**Authentication:** Access Tokens as bearer token in authorization header (Authorization: Bearer `<token>`)\n\n**Security:** Unless otherwise specified, all APIs require admin privileges.\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://{jfrog_url}"
    }
  ],
  "tags": [
    {
      "name": "Vault",
      "description": "APIs for configuring, testing, and managing secret manager (HashiCorp Vault) integration with the JFrog Platform."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/access/api/v1/vault/configs/{vault_key}": {
      "parameters": [
        {
          "name": "vault_key",
          "in": "path",
          "required": true,
          "description": "Configuration key for this vault integration instance (for example `hashicorp`).\n",
          "schema": {
            "type": "string"
          }
        }
      ],
      "delete": {
        "tags": [
          "Vault"
        ],
        "summary": "Delete the Secret Manager Configuration",
        "description": "Deletes the connection between the vault and JFrog Platform.\n\n\n**Security:** Requires admin privileges.\n",
        "operationId": "deleteVaultConfiguration",
        "responses": {
          "204": {
            "description": "Vault configuration deleted (no response body)"
          },
          "401": {
            "description": "Bad Credentials - Invalid credentials"
          },
          "403": {
            "description": "Permission Denied - Insufficient permissions"
          },
          "404": {
            "description": "Not Found - No configuration exists for this key"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token as bearer token"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```